Foreman - Bug #17570

onContentLoad() is called twice on every page
12/04/2016 07:03 AM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Web Interface
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4080
Description

From the jQuery docs:

when calling .trigger () with an event name matches the name of a property on the object, prefixed
by on (e.g. triggering click on window that has a non null onclick method), jQuery will attempt to
invoke that property as a method.

When the document loads we trigger a “ContentLoad™ event, which causes jQuery to execute the function called “onContentLoad" by
default. In addition, we attach a listener to the document that catches the “ContentLoad™ event and executes the function as well.
We need to either rename the function or remove the extra listener.

Associated revisions

Revision 83afcbec - 12/13/2016 10:26 AM - Tomer Brisker

Fixes #17570 - Only execute ‘onContentLoad" once per page

When an event is triggered, jQuery attempts to execute the on<name>
method if it exists for event <name>. We were also manually triggering
the “onContentLoad" every time the “ContentLoad" event was triggered,
leading to the function executing twice on every page.

This commit removes the explicit event listener so that the function

will only execute once.

Revision 78ab8401 - 01/30/2017 11:01 AM - Tomer Brisker

Fixes #17570 - Only execute “onContentLoad" once per page

When an event is triggered, jQuery attempts to execute the on<name>
method if it exists for event <name>. We were also manually triggering
the “onContentLoad" every time the “ContentLoad" event was triggered,
leading to the function executing twice on every page.

This commit removes the explicit event listener so that the function

will only execute once.

(cherry picked from commit 83afcbecbdaac702253f494ff07351a74308b6be)

History

#1 - 12/04/2016 07:23 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4080 added

#2 - 12/13/2016 10:01 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

#3 - 12/13/2016 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 83afcbecbdaac702253f494ff07351a74308b6ébe.

#4 - 12/14/2016 03:41 AM - Dominic Cleal

- translation missing: en.field_release set to 210
